@import '../../assests/variables/colours.scss';
@import '../../assests/variables/breakpoints.scss';

.modal {
  position: fixed;
  top: 0;
  left: 0;
  display: none;
  width: 100%;
  height: 100vh;
  background-color: rgba($background, .7);
  z-index: 5;

  &.active {
    display: block;
  }

  .article-details-container {
    overflow-y: scroll;
    height: 100vh;
    display: block;

    .article-details {
      position: relative;
      width: calc(100% - 40px);
      height: auto;
      background-color: $secondary;
      padding: 10px 10px 40px;
      top: 10px;
      left: 0;
      right: 0;
      margin: auto;
      overflow-y: scroll;
      max-width: 450px;
  
      &__image {
        width: 100%;
      }
  
      &__close {
        position: absolute;
        right: 0;
        top: 0;
        padding: 5px;
        background-color: $secondary;
  
        &:hover {
          cursor: pointer;
        }
      }

      &__known-for {
        display: flex;
        width: 100%;

        li {
          width: calc(100% / 3);

          img {
            width: 100%;
          }
        }
      }
    }
  }
}